GET /v1/Workspaces/{WorkspaceSid}/Events
twilio.com:twilio_taskrouter_v1
Operation ID: ListEvent
Auth: unknown
Parameters (15)
(string, query, optional)
Only include Events that occurred on or before this date, specified in GMT as an [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date-time.
(string, query, optional)
The type of Events to read. Returns only Events of the type specified.
(integer, query, optional)
The period of events to read in minutes. Returns only Events that occurred since this many minutes in the past. The default is `15` minutes. Task Attributes for Events occuring more 43,200 minutes ago will be redacted.
(integer, query, optional)
The page index. This value is simply for client state.
Constraints: {'minimum': 0}
(integer, query, optional)
How many resources to return in each list page. The default is 50, and the maximum is 1000.
Constraints: {'minimum': 1, 'maximum': 1000}
(string, query, optional)
The page token. This is provided by the API.
(string, query, optional)
The SID of the Reservation with the Events to read. Returns only Events that pertain to the specified Reservation.
Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WR[0-9a-fA-F]{32}$'}
(string, query, optional)
The SID of the Event resource to read.
Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^EV[0-9a-fA-F]{32}$'}
(string, query, optional)
Only include Events from on or after this date and time, specified in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. Task Attributes for Events older than 30 days will be redacted.
(string, query, optional)
The TaskChannel with the Events to read. Returns only the Events that pertain to the specified TaskChannel.
(string, query, optional)
The SID of the TaskQueue with the Events to read. Returns only the Events that pertain to the specified TaskQueue.
Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WQ[0-9a-fA-F]{32}$'}
(string, query, optional)
The SID of the Task with the Events to read. Returns only the Events that pertain to the specified Task.
Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WT[0-9a-fA-F]{32}$'}
(string, query, optional)
The SID of the Worker with the Events to read. Returns only the Events that pertain to the specified Worker.
Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WK[0-9a-fA-F]{32}$'}
(string, query, optional)
The SID of the Workflow with the Events to read. Returns only the Events that pertain to the specified Workflow.
Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WW[0-9a-fA-F]{32}$'}
(string, path, required)
The SID of the Workspace with the Events to read. Returns only the Events that pertain to the specified Workspace.
Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WS[0-9a-fA-F]{32}$'}
No probe data for this endpoint yet.